<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;

class CinemaAccess
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    public function handle(Request $request, Closure $next, $cinema_id)
    {
        // does the user have access to the cinema (or is admin)

        if (auth()->user()->atleast('admin')) {
            return $next($request);
        }

        if (auth()->user()->cinemas->contains($cinema_id)) {
            return $next($request);
        }



        return $next($request);
    }
}
