<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('addresses', function (Blueprint $table) {
            $table->id('address_id');
            $table->timestamps();
            $table->addColumn('string', 'address_street', ['length' => 255]);
            $table->addColumn('string', 'address_city', ['length' => 255]);
            $table->addColumn('string', 'address_state', ['length' => 255]);
            $table->addColumn('string', 'address_zip', ['length' => 255]);
            $table->addColumn('string', 'address_country', ['length' => 255])->default('Netherlands');
            $table->addColumn('string', 'address_phone', ['length' => 255])->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('addresses');
    }
};
