@extends('main.layout')

@section('head')
    <link rel="stylesheet" href="{{ asset('css/auth.css') }}">
@endsection

@section('content')
    <h2>{{__('Register')}}</h2>

    <div class="form">
        <form method="POST" action="{{route('register')}}">
            @csrf

            <div class="item">
                <label for="name">{{__('Name')}}</label><br/>
                <input type="text" name="name" id="name" value="{{old('name')}}" required autocomplete="name" autofocus>
                <br/>

                @error('name')
                <span style="color: red">{{$message}}</span>
                <br/>
                @enderror

            </div>

            <div class="item">
                <label for="email">{{__('E-Mail Address')}}</label><br/>
                <input type="email" name="email" id="email" value="{{old('email')}}" required autocomplete="email">
                <br/>

                @error('email')
                <span style="color: red">{{$message}}</span>
                <br/>
                @enderror

            </div>

            <div class="item">
                <label for="password">{{__('Password')}}</label><br/>
                <input type="password" name="password" id="password" required autocomplete="new-password">
                <br/>

                @error('password')
                <span style="color: red">{{$message}}</span>
                <br/>
                @enderror

            </div>

            <div class="item">
                <label for="password-confirm">{{__('Confirm Password')}}</label><br/>
                <input type="password" name="password_confirmation" id="password-confirm" required
                       autocomplete="new-password">
                <br/>

                @error('password_confirmation')
                <span style="color: red">{{$message}}</span>
                <br/>
                @enderror

            </div>

            <button type="submit">Submit</button>
        </form>

    </div>
@endsection
