@extends('main.layout')

@section('content')
    @if (session('status'))
        <div class="alert alert-success" role="alert">
            {{ session('status') }}
        </div>
    @endif
    <h1>{{ __('Dashboard') }}</h1>
    <hr/>

    @if(Auth::user()->atleast('employee'))
        <a href="/manage" class="button">Management Panel</a>
        <hr/>
    @endif

    <h2>Orders</h2>
    <hr/>
    <x-orders :orders="Auth()->user()->orders" />

    <h2>Permissions</h2>
    <hr/>

    <ul class="numbered">
        @foreach(Auth::user()->permissions as $permission)
            <li>{{ $permission->permission_name }}</li>
        @endforeach
    </ul>
@endsection
